package com.bzd.system.service.hygl.jf;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 积分调整表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglJfglPointAdjustmentService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglJfglPointAdjustment(PageData pd)throws Exception {
        return daoSupport.update("SHyglJfglPointAdjustmentMapper.addSHyglJfglPointAdjustment", pd);
    }

    public List<PageData> findSHyglJfglPointAdjustmentList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglJfglPointAdjustmentMapper.selectSHyglJfglPointAdjustmentList", pd);
    }

    public Integer SHyglJfglPointAdjustmentRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglJfglPointAdjustmentMapper.SHyglJfglPointAdjustmentRemove", pd);
    }


    public Integer updateSHyglJfglPointAdjustment(PageData pd)throws Exception {
        return daoSupport.update("SHyglJfglPointAdjustmentMapper.updateSHyglJfglPointAdjustment", pd);
    }

}
